#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("DC.inp"); ofstream f2("DC.out");
	int n,m,k,dem,i;
	int a[10001],b[10001],c[10001];
	f1>>n>>m;
	for (i=0;i<=n;i++)
	{
	f1>>a[i];	
	}
	for (i=0;i<=m;i++)
	{
		f1>>b[i];
	}
	if (a[i]==k && b[i]==k) dem++;
	for (i=0;i<=n;i++)
	{
		c[i]=k;
	}
	f2<<k<<dem;
	f1.close();
	f2.close();
	return 0;
}
